com.google.gwt.user.client.ui

## Interface HasDirectionalHtml

All Superinterfaces:
  HasDirectionalText, HasHTML, HasText

All Known Implementing Classes:
  DialogBox.CaptionImpl, HTML, InlineHTML

    public interface HasDirectionalHtml
    extends HasDirectionalText, HasHTML

An object that implements this interface contains html that has a direction.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setHTML(java.lang.String html, HasDirection.Direction dir)` Sets this object's html, also declaring its direction.

### Methods inherited from interface com.google.gwt.user.client.ui.HasDirectionalText

`getTextDirection, setText`

### Methods inherited from interface com.google.gwt.user.client.ui.HasHTML

`getHTML, setHTML`

### Methods inherited from interface com.google.gwt.user.client.ui.HasText

`getText, setText`

### Method Detail

#### setHTML

    void setHTML(java.lang.String html,
                 HasDirection.Direction dir)

Sets this object's html, also declaring its direction.

Parameters:
  `html` - the object's new html
  `dir` - the html's direction